Bug 998871 - iscsiadm: discovery data not stored at /var/lib/iscsi/send_targets/ anymore
iscsiadm: discovery data not stored at /var/lib/iscsi/send_targets/ anymore
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
7.0
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Chris Leech
Bruno Goncalves
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 05:22 EDT by Bruno Goncalves
Modified: 2014-06-18 00:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: iscsi-initiator-utils-6.2.0.873-12.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:22:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Goncalves 2013-08-20 05:22:08 EDT
Description of problem:
Discovering a target does not store the target information at /var/lib/iscsi/send_targets/ any more. Is this change planned?



Version-Release number of selected component (if applicable):
iscsi-initiator-utils-6.2.0.873-11.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.iscsiadm -m discovery -p na3170b.lab.bos.redhat.com -t st
10.16.41.222:3260,1 iqn.1992-08.com.netapp:sn.151753773
10.16.43.127:3260,1 iqn.1992-08.com.netapp:sn.151753773


2. ls /var/lib/iscsi/send_targets/*
ls: cannot access /var/lib/iscsi/send_targets/*: No such file or directory


Additional info:
When using iscsi-initiator-utils-6.2.0.873-7.el7.x86_64 the data is stored correctly:

iscsiadm -m discovery -p na3170b.lab.bos.redhat.com -t st
10.16.41.222:3260,1 iqn.1992-08.com.netapp:sn.151753773
10.16.43.127:3260,1 iqn.1992-08.com.netapp:sn.151753773


ls /var/lib/iscsi/send_targets/*
iqn.1992-08.com.netapp:sn.151753773,10.16.41.222,3260,1,default  iqn.1992-08.com.netapp:sn.151753773,10.16.43.127,3260,1,default  st_config
Comment 4 Chris Leech 2013-08-29 11:17:32 EDT
The path to the iscsi database was screwed up in 873-11, unfortunately it got built anyway.  873-12 fixed this.
Comment 5 Bruno Goncalves 2013-08-30 13:29:20 EDT
Verified on rpm -q iscsi-initiator-utils
iscsi-initiator-utils-6.2.0.873-13.el7.x86_64

iscsiadm -m discovery -p na3170b.lab.bos.redhat.com -t st
10.16.41.222:3260,1 iqn.1992-08.com.netapp:sn.151753773
10.16.43.127:3260,1 iqn.1992-08.com.netapp:sn.151753773


ls /var/lib/iscsi/send_targets/*
iqn.1992-08.com.netapp:sn.151753773,10.16.41.222,3260,1,default  iqn.1992-08.com.netapp:sn.151753773,10.16.43.127,3260,1,default  st_config
Comment 10 Ludek Smid 2014-06-13 07:22:58 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.